WMWEATHER(1)

NAME
wmweather - dockable weather monitor

SYNOPSIS
wmweather -s <4-char ICAO location indicator> [options]

DESCRIPTION
wmweather monitors local weather conditions: temperature, dew point, pressure, humidity and wind direction and speed. The user needs to specify a 4-character `ICAO location indicator'. The standardized METAR station designations and current weather reports are designed for use by the aviation community. Since most major cities have at least one airport, there is usually one or more METAR stations in a given city. You--obviously--need to be connected to the internet and you also need to have libcurl installed. wmweather will then attempt to download the latest METAR report for the station of your choice from the National Weather Sevice run by NOAA.

You can toggle back and forth between imperial and metric units, i.e. between degrees Fahrenheit, inches of Mercury, and miles per hour--and--degrees Celsius, hectoPascal, and kilometers per hour. A middle click will do this.

Also, a left click will bring up the fully decoded METAR report in xmessage. And a right click will force an immediate update, i.e. wmweather will attempt to grab weather information.

OPTIONS

-s id, --station=id
    This option tells wmweather which METAR station to show data for. id can be any four-letter ICAO location indicator, which can be found at http://www.nws.noaa.gov/tg/siteloc.shtml.

-c, --compat
    Switch into compatibility mode. The old monitor style will be used, default metric pressure units are millimeters of Mercury instead of hectoPascal, and the colorization options are enabled. When the time turns red, this means that the weather report is older than 24 hours. When the wind speed turns red, this means that the wind is gusty and the listed value is an average only. Similarly, a red direction indicates a variable wind direction and the value given is the average direction. The symbolic link wmWeather is functionally equivalent to wmweather --compat.

-d [@]min, --delay=[@]min
    Set the time (in minutes) between updates, default is 15 minutes. Use @ to specify minutes past the hour.

-m, --metric
    Display metric values: temperatures in degrees Celsius rather than degrees Fahrenheit, pressure in hectoPascal rather than inches of Mercury, and wind speed in kilometers per hour rather than miles per hour. This option can be toggled at runtime using a middle click.

-w, --chill, -W
    Display wind chill--if available--instead of dew point temperature.

-e, --heat
    Display wind heat index--if available--instead of temperature.

-b, --beaufort
    Display wind speed on the `Beaufort scale'.

-n, --knots
    Display wind speed in units of knots, i.e. sea miles per hour.

-u, --utc
    Display update time in UTC instead of localtime. This is equivalent to --time=+0000.

-t offset, --time=offset
    Convert update time according to (RFC 822 compliant) time offset rather than to localtime, e.g. --time=+0100 for MET.

-x host[:port], --proxy=host[:port]
    Proxy specification, this option is passed to libcurl.

-U username[:password], --proxy-user=username[:password]
    Proxy authentication, this option is passed to libcurl. Please don't specify this option, use the file ~/.netrc for authentication instead.

--lcd
    Use LCD style display.

--display=id
    Set the display to use, e.g. --display=:0.0.

--geometry=pos
    Set the position of the dock app. Note that the size (64x64) is hard-coded and cannot be changed.

-h, --help
    Display a list of command-line options.

-v, --version
    Display the program version.

-a, --hPa
    When toggled to metric, display pressure in units of hectoPascals, i.e. milliBars.

-k, --kPa
    When toggled to metric, display pressure in units of kiloPascals.

-g, --mmHg
    When toggled to metric, display pressure in units of millimeters of Mercury.

-p, --mps
    When toggled to metric, display wind speed in units of meters per second.

--bc=color
    When toggled to compatibility mode, set the background color (#8e8e69 is LCD-ish).

--lc=color
    When toggled to compatibility mode, set the color of the labels, e.g. --lc=red or --lc=salmon or --lc=#4523ff.

--dc=color
    When toggled to compatibility mode, set the color of the data entries.

--wgc=color
    When toggled to compatibility mode, set the gusty-wind/variable-direction color. The wind speed indicator will turn this color when the wind speed is gusty. The value shown in this case is the average speed. Similarly, the wind direction indicator with change to this color when the wind direction is variable. The value shown in this case is the average direction.

--tc=color
    When toggled to compatibility mode, set the color of the ICAO location indicator and update time header.

FILES

/etc/wmweather.conf
    The system-wide configuration file. Specify one long option per line, e.g. station=EDDC or metric. Whitespace, empty lines, and lines beginning with a # will be ignored.

~/.wmweather/config
    The user configuration file.

~/.wmweather/????
    These files contain the latest downloaded weather records in decoded METAR format.

~/.netrc
    These file contains authentication information and should be used in preference to --proxy-user.

ENVIRONMENT

http_proxy
    The HTTP proxy to be used, see also --proxy.

SEE ALSO
netrc(5)

To find out more about NOAA's National Weather Service, have a look at http://www.nws.noaa.gov/.

BUGS
Please report any bugs to <martin@godisch.de>. Debian users are encouraged to use the Debian Bug Tracking System at http://bugs.debian.org/wmweather.

AUTHORS

Version 1:
    Michael G. Henderson <mghenderson@lanl.gov>

Version 2:
    Martin A. Godisch <martin@godisch.de>

Contributors:
    Athanasius, Pablo Castellazzi, Avtar Gill, Adam Lackorzynski, Jon Larabee, Jordi Mallach, Paul Martin, HIROSE Masaaki, Michael Pötters